from fastapi import APIRouter, Depends, HTTPException, status
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.contact_form import ContactFormCreate, ContactFormSchema
from helpers.contact_form_helpers import create_contact_form

router = APIRouter()

@router.post("/contact", status_code=status.HTTP_201_CREATED, response_model=ContactFormSchema)
async def create_contact_form_endpoint(
    contact_form_data: ContactFormCreate,
    db: Session = Depends(get_db)
):
    try:
        new_contact_form = create_contact_form(db=db, contact_form_data=contact_form_data)
        return new_contact_form
    except HTTPException as e:
        raise e